Subject: [netatalk-admins] [netatalk-release] file server trouble

From: [email-masked]
Date: Tue, 09 Sep 1997 21:49:26 -0400

The netatalk webpages live on an afs server run by a different division, here
at UM.  We're waiting for them to come back up.  The message is a 404Forbidden,
until then.  Sorry about the announcement posting previously.  Please try again,
soon.

EV
AN